PHP ��U
前一頁 |  | 下一頁

# HttpQueryString

(no version information, might be only in CVS)

HttpQueryString -- HTTP Query String Class

## 大綱

    class HttpQueryString implements Serializable, ArrayAccess

## Class Members

### Properties

表格 1. Instance Properties

Modifiers | Type | Name | Description
--- | --- | --- | ---
private | array | queryArray | query parameters
private | string | queryString | serialized query parameters

表格 2. Static Properties

Modifiers | Type | Name | Description
--- | --- | --- | ---
private | array | instance | holds singletons

### �w��w�q�`��

表格 3.

Type | Name | Description
--- | --- | ---
int | TYPE_BOOL | retrieve query param as bool
int | TYPE_INT | retrieve query param as int
int | TYPE_FLOAT | retrieve query param as float
int | TYPE_STRING | retrieve query param as string
int | TYPE_ARRAY | retrieve query param as array
int | TYPE_OBJECT | retrieve query param as object

### Methods

HttpQueryString::construct()
HttpQueryString::singleton()
HttpQueryString::get()
HttpQueryString::mod()
HttpQueryString::set()
HttpQueryString::toArray()
HttpQueryString::toString()
HttpQueryString::xlate()

前一頁 | 內容 | 下一頁
HttpMessage::setResponseStatus | 上一層 | HttpQueryString::__construct